PHYSLOCK(1)

NAME
physlock - lock all consoles / virtual terminals

SYNOPSIS
physlock [-dhLlmsv] [-p MSG]

DESCRIPTION
physlock is an alternative to vlock, it is equivalent to `vlock -an'. It is written because vlock blocks some linux kernel mechanisms like hibernate and suspend and can therefore only be used with some limitations.

physlock is designed to be lightweight, but highly depends on the kernels ioctl API.

The behaviour of physlock is completely controlled via command-line arguments, it does not rely on environment variables. physlock uses the utmp file to identify the owner of the current session (i.e. active tty) and prompts for her password to unlock the computer.

OPTIONS

-d  Fork and detach physlock before prompting for authentication. The parent process returns right after everything is set up, so this option is useful for use in suspend/hibernate scripts.

-h  Print brief usage information to standard output and exit.

-l  Only lock console switching and exit.

-L  Only enable (unlock) console switching and exit. This is useful when a prior instance of physlock has crashed and leaved the console switching mechanism locked.

-m  Mute kernel messages on console while physlock is running.

-p MSG
    Display MSG before the password prompt.

-s  Disable SysRq mechanism while physlock is running.

-v  Print version information to standard output and exit.

AUTHORS

Bert Muennich <ber.t at gmx.com>

HOMEPAGE

http://github.com/muennich/physlock

SEE ALSO
vlock(1)